using System;

namespace Library.PeerGroup.GCL.Annotations
{
    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Property | AttributeTargets.Field | AttributeTargets.Event | AttributeTargets.Parameter | AttributeTargets.Delegate, AllowMultiple = false, Inherited = true)]
    public sealed class NotNullAttribute : Attribute
    {
        public NotNullAttribute() { }
    }
}